i.spectral(1)

NAME
i.spectral.py - Displays spectral response at user specified locations in group or images.

KEYWORDS
imagery, querying, raster, multispectral

SYNOPSIS
i.spectral.py
i.spectral.py --help
i.spectral.py [-cgt] [group=name] [subgroup=name] [raster=name[,name,...]] coordinates=east,north[,east,north,...] [output=name] [format=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Show sampling coordinates instead of numbering in the legend

-g
    Use gnuplot for display

-t
    output to text file

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

group=name
    Name of input imagery group

subgroup=name
    Name of input imagery subgroup

raster=name[,name,...]
    Name of input raster map(s)

coordinates=east,north[,east,north,...] [required]
    Coordinates

output=name
    Name for output image (or text file for -t)

format=string
    Graphics format for output file
    Options: png, eps, svg
    Default: png

DESCRIPTION
i.spectral displays spectral response at user specified locations in images.

NOTES
This script needs gnuplot to be installed.

EXAMPLE
Analysis of LANDSAT TM7 channels (North Carolina dataset):

g.region raster=lsat7_2002_10 -p
i.spectral -g input=lsat7_2002_10,lsat7_2002_20,lsat7_2002_30,lsat7_2002_40,lsat7_2002_50,lsat7_2002_70 \
           coordinates=636069,215440,637958,223393,633277,223605

Spectral plot of 3 different land cover types: (1) water, (2) green vegetation, and (3) highway

North Carolina sample dataset:

g.region raster=lsat7_2002_10 -p
LIST=`g.list type=raster pattern="lsat7_2002_[1-5,7]0" separator=","`
i.spectral input=$LIST coordinates=637502.25,221744.25

This will search all LANDSAT map for 2002 but select only the B, G, R, NIR, and MIR channels.

SEE ALSO
d.where, r.what

AUTHOR
Markus Neteler
Francesco Pirotti

SOURCE CODE

Available at: i.spectral source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual